<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.fire.mapper.BaseCompanyChangeMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.fire.domain.BaseCompanyChange">
        <id column="id" property="id" />
        <result column="company_id" property="companyId" />
        <result column="company_code" property="companyCode" />
        <result column="organization" property="organization" />
        <result column="company_name" property="companyName" />
        <result column="address" property="address" />
        <result column="company_type" property="companyType" />
        <result column="link_phone" property="linkPhone" />
        <result column="company_nature" property="companyNature" />
        <result column="govern_body" property="governBody" />
        <result column="fire_manage_phone" property="fireManagePhone" />
        <result column="fire_manage_name" property="fireManageName" />
        <result column="employee_num" property="employeeNum" />
        <result column="cover_area" property="coverArea" />
        <result column="delegate_name" property="delegateName" />
        <result column="fire_hazard" property="fireHazard" />
        <result column="found_time" property="foundTime" />
        <result column="administrative_division" property="administrativeDivision" />
        <result column="fire_duty_name" property="fireDutyName" />
        <result column="main_attribute" property="mainAttribute" />
        <result column="fixed_assets" property="fixedAssets" />
        <result column="build_area" property="buildArea" />
        <result column="creator" property="creator" />
        <result column="create_time" property="createTime" />
        <result column="street_town" property="streetTown" />
        <result column="birth_cert" property="birthCert" />
    </resultMap>

</mapper>
